@use "../../../styles/colors";
@use "../../../styles/mixins";
@use "../../../styles/defaults";

$border-radius: 0.2rem;

.contact {
  background-color: colors.$primary-blue;
  color: colors.$neutral-light;
  padding: 2.8rem 0 2.8rem;
}

.contact-wrapper {
  text-align: center;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  width: 30%;
  margin-inline: auto;
}

.contact-subheading {
  font-size: 0.6rem;
  font-weight: 400;
  letter-spacing: 0.25rem;
  text-transform: uppercase;
  margin-bottom: 1.6rem;
}

.contact-heading {
  width: 18rem;
  font-size: 1.4rem;
  font-weight: 500;
  margin-bottom: 1.8rem;
}

.form {
  display: flex;
  justify-content: flex-start;
  align-items: flex-start;
  gap: 0.85rem;
  width: 100%;
}

.input-field {
  flex-basis: 70%;
  display: flex;
  flex-direction: column;
  position: relative;
}

.email-input {
  &:focus:not(.border-error) {
    outline: 0.2rem solid colors.$neutral-dark;
  }
}

.icon-error {
  position: absolute;
  top: 50%;
  right: 0.4rem;
  bottom: 0;
  transform: translate(-50%, -50%);
}

.email-input,
.btn-submit {
  padding: 0.8rem 1.3rem;
  border-radius: $border-radius;
  border: none;
}

.email-input,
::placeholder {
  font-size: 0.8rem;
}

::placeholder {
  color: #ccc;
}

.border-error {
  outline: 0.1rem solid colors.$primary-red;
}

.icon-error,
.error-message {
  visibility: hidden;
}

.show-icon-error,
.show-error-message {
  visibility: visible;
  animation: fadeInDown 0.3s;
}

.hide-error-message {
  animation: fadeOutUp 0.3s;
}

.error-message {
  border-bottom-left-radius: $border-radius;
  border-bottom-right-radius: $border-radius;
  background-color: colors.$primary-red;
  font-size: 0.5rem;
  text-align: start;
  padding: 0.3rem 0.6rem;
}

.btn-submit {
  @include mixins.transition-hover-button;
  flex-basis: 30%;
  background-color: colors.$primary-red;
  color: colors.$neutral-light;
  text-transform: capitalize;
  font-weight: 600;
  cursor: pointer;
}

.btn-submit {
  &:hover {
    @include mixins.hover-red-button;
  }
}

@keyframes fadeInDown {
  from {
    visibility: hidden;
    opacity: 0;
    transform: translateY(-0.4rem);
  }
  to {
    visibility: visible;
    opacity: 1;
    transform: translateY(0);
  }
}

@keyframes fadeOutUp {
  from {
    visibility: visible;
    opacity: 1;
    transform: translateY(0);
  }
  to {
    visibility: hidden;
    opacity: 0;
    transform: translateY(-0.4rem);
  }
}

@media (min-width: 769px) and(max-width: 1050px) {
  .contact-wrapper {
    width: 50%;
  }
}

@media (max-width: defaults.$mobile-width) {
  .contact {
    padding: 3.6rem 1.2rem 3.2rem;
  }
  .contact-wrapper {
    justify-content: stretch;
    align-items: center;
    width: 100%;
  }
  .contact-subheading {
    font-size: 0.65rem;
    margin-bottom: 0.8rem;
  }
  .contact-heading {
    font-size: 1.2rem;
    font-weight: 500;
    margin-bottom: 1.6rem;
  }
  .form {
    flex-direction: column;
    gap: 0.2rem;
    justify-content: stretch;
    align-items: stretch;
  }
  .error-message {
    margin-bottom: 0.6rem;
  }
}
